- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::Registry::WriteFileCallback Class Reference

Inheritance diagram for osgDB::Registry::WriteFileCallback:

[legend]
List of all members.

## Public Member Functions
virtual ReaderWriter::WriteResult | writeObject (const osg::Object &obj, const std::string &fileName)
virtual ReaderWriter::WriteResult | writeImage (const osg::Image &obj, const std::string &fileName)
virtual ReaderWriter::WriteResult | writeHeightField (const osg::HeightField &obj, const std::string &fileName)
virtual ReaderWriter::WriteResult | writeNode (const osg::Node &obj, const std::string &fileName)
## Protected Member Functions
virtual | ~WriteFileCallback ()

## Constructor & Destructor Documentation

virtual osgDB::Registry::WriteFileCallback::~WriteFileCallback | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual ReaderWriter::WriteResult osgDB::Registry::WriteFileCallback::writeHeightField | ( | const osg::HeightField & | obj,
|  | const std::string & | fileName
| ) | `[inline, virtual]`

virtual ReaderWriter::WriteResult osgDB::Registry::WriteFileCallback::writeImage | ( | const osg::Image & | obj,
|  | const std::string & | fileName
| ) | `[inline, virtual]`

virtual ReaderWriter::WriteResult osgDB::Registry::WriteFileCallback::writeNode | ( | const osg::Node & | obj,
|  | const std::string & | fileName
| ) | `[inline, virtual]`

virtual ReaderWriter::WriteResult osgDB::Registry::WriteFileCallback::writeObject | ( | const osg::Object & | obj,
|  | const std::string & | fileName
| ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- osgDB/Registry